# Final Project
# File: constants.py
# Authors: Dhruv Gaba (dg566) and Tim Braren (tmb233)
# Date: 11/30/2017

import ConfigParser
import pygame
import os

# Colors
BLACK    = (0, 0, 0)
WHITE    = (255, 255, 255)
BLUE     = (0, 0, 255)
RED      = (255, 0, 0)
GREEN    = (0, 255, 0)

# Screen dimensions
SCREEN_WIDTH  = 800
SCREEN_HEIGHT = 630

# Screen bounds for gameplay
Y_START = 70
Y_END = 630

X_START = 0
X_END = 800

# Default user name
user_name = "AAA"

# Stage music file to be output
def stage_music(name):
    fullname = os.path.join('/home/tim/classes/pi_arcade/assets', 'music', name)
    try:
        pygame.mixer.music.load(fullname)
    except pygame.error:
        print "File %s not found! (%s)" % (fullname, pygame.get_error())
    return

# Returns whether or not music is currently playing
def music_is_on():
    return pygame.mixer.music.get_busy()

# Outputs staged music file
def start_music(repeat):
    if repeat:
        pygame.mixer.music.play(-1)
    else:
        pygame.mixer.music.play(0)
    
# Stops the music currently being output
def stop_music():
    pygame.mixer.music.stop()

# Write score to text document
def write_score(game_title, score):
	global user_name
	entry = user_name + ": " + str(int(score))
	file = open(game_title + ".txt", "a+")
	file.write(entry + "\n")
	file.close()

# Load scores for a particular game in sorted order
def load_scores(game_title):
	score_list = []
	try:
		scores = open(game_title + ".txt", "r")
		for line in scores.readlines():
			score = line.split("\n")[0]
			score = score.split(": ")
			score_list.append((score[0],int(score[1])))
		return sorted(score_list, key=lambda tup: tup[1])
	except:
		pass

# Set the user name for the current game session
def set_user_name(name):
	global user_name
	user_name = name
